function pendelEuler

%Initialising
N=100;
T=10;
h=T/N;

%right hand side of the pendulum equations
f=@(y) [y(2); -sin(y(1))];

%energy function (Hamilton function)
H=@(y) 0.5*y(2)^2-cos(y(1));

%initial conditions
y=[pi/2;0];

%array in which you save the evolution of the energy
energy=zeros(N+1,1);
energy(1)=H(y);


for ii=1:N
    %perform one step of the explicit Euler method
    y=y+h*f(y);
    
    %save the energy
    energy(ii+1)=H(y);
end

%plot the evolution of the energy
figure;
plot(0:h:T,energy,'*-')
    